Colt 1.2.0

## hep.aida.ref
Class Converter

    java.lang.Object
      hep.aida.ref.Converter

    public class Converter

extends Object

Histogram conversions, for example to String and XML format; This class requires the Colt distribution, whereas the rest of the package is entirelly stand-alone.

Constructor Summary
`Converter()` Creates a new histogram converter.

Method Summary
`double[]` `edges(IAxis axis)` Returns all edges of the given axis.
`String` `toString(IAxis axis)` Returns a string representation of the given argument.
`String` `toString(IHistogram1D h)` Returns a string representation of the given argument.
`String` `toString(IHistogram2D h)` Returns a string representation of the given argument.
`String` `toString(IHistogram3D h)` Returns a string representation of the given argument.
`String` `toXML(IHistogram1D h)` Returns a XML representation of the given argument.
`String` `toXML(IHistogram2D h)` Returns a XML representation of the given argument.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Converter

    public Converter()

  Creates a new histogram converter.

Method Detail

### edges

    public double[] edges(IAxis axis)

  Returns all edges of the given axis.

### toString

    public String toString(IAxis axis)

  Returns a string representation of the given argument.

### toString

    public String toString(IHistogram1D h)

  Returns a string representation of the given argument.

### toString

    public String toString(IHistogram2D h)

  Returns a string representation of the given argument.

### toString

    public String toString(IHistogram3D h)

  Returns a string representation of the given argument.

### toXML

    public String toXML(IHistogram1D h)

  Returns a XML representation of the given argument.

### toXML

    public String toXML(IHistogram2D h)

  Returns a XML representation of the given argument.

Colt 1.2.0

Jump to the Colt Homepage